Subject: New Reply Received - Can someone assist me?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jul 2020 09:22:25 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  The customer has responded to the ticket.  Can someone assist me?  Ticket comment <div>Dear Team,

With reference to order number 7678402520, please advise on when will i receive my refund !

It has been more than 2 months i am following up with centrepoint with no positive update !!

Is this the kind of customer care you provide to your customers ???

I had placed an order in the month of April and got delivered wrong items. On informing centrepoint, immediately next day the items were picked up from me. I asked for my items to be delivered to me for which i made payment and the response i got is that i cannot get the items back, i have to place a fresh order. 

Since then i have been waiting for centrepoint to process my refund and no response. 

Neither do you respond to my emails nor give me a reply. Its always the same reply "call back after 5 days and check".

This is really a pathetic service from centrepoint !!!!! 

You dont reply to my email, you do not notify me on any update, you do not know what to answer me when i speak to your agents, like seriously ?!!?

I have never faced any issues with any other outlets, be it ordering, delivery, return, refund, except for centrepoint !

The last cal i had with centrepoint agent was that i would receive my refund 10 days ago, and still nothing ! 

If i do not receive any update on my refund before 15th July, i will be taking to all social media platforms mentioning about the service received from centrepoint, and to all my contacts who purchase from you. 

Moreover i have placed 2 orders with centrepoint on 30th june, and still no update on them, i hope i dont have to run after centrepoint for another 3 months if these orders get cancelled !!!

Await your reply.

FRUSTRATED CUSTOMER</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1299610